//+------------------------------------------------------------------+
//|                                     Guru's Heiken Ashi Trade.mq4 |
//|                                Copyright  2010, Infinity Group. |
//|                                 http://www.infinitygroup.com.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, Infinity Group."
#property link      "http://www.infinitygroup.com.com"

// used for verbose error logging
#include <stdlib.mqh>

extern int MaMetod  = 2;
extern int MaPeriod = 6;
extern int MaMetod2  = 3;
extern int MaPeriod2 = 2;
extern int BarWidth = 0;
extern color BarColorUp = Blue;
extern color BarColorDown = Red;
extern color TextColor = White;
extern int MaxBars=500;
extern int Period_1=PERIOD_M15;
extern int Period_2=PERIOD_M30;
extern int Period_3=PERIOD_H1;
extern int Period_4=PERIOD_H4;

datetime prevcandle=0;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
{
//----
//----
   return(0);
}
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
{
//----
   
//----
   return(0);
}
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
{
//----
   datetime currentcandle = iTime(NULL, 0, 0); 
   if (prevcandle != currentcandle)
   {
      prevcandle = currentcandle;
      //double Bar1Up=iCustom(NULL,0,"N4 TF HAS Bar",MaMetod,MaPeriod,MaMetod2,MaPeriod2,BarWidth,BarColorUp,BarColorDown,TextColor,MaxBars,0,1);
      //double Bar1Down=iCustom(NULL,0,"N4 TF HAS Bar",MaMetod,MaPeriod,MaMetod2,MaPeriod2,BarWidth,BarColorUp,BarColorDown,TextColor,MaxBars,1,1);
      //double Bar2Up=iCustom(NULL,0,"N4 TF HAS Bar",MaMetod,MaPeriod,MaMetod2,MaPeriod2,BarWidth,BarColorUp,BarColorDown,TextColor,MaxBars,2,1);
      //double Bar2Down=iCustom(NULL,0,"N4 TF HAS Bar",MaMetod,MaPeriod,MaMetod2,MaPeriod2,BarWidth,BarColorUp,BarColorDown,TextColor,MaxBars,3,1);
      //double Bar3Up=iCustom(NULL,0,"N4 TF HAS Bar",MaMetod,MaPeriod,MaMetod2,MaPeriod2,BarWidth,BarColorUp,BarColorDown,TextColor,MaxBars,4,1);
      //double Bar3Down=iCustom(NULL,0,"N4 TF HAS Bar",MaMetod,MaPeriod,MaMetod2,MaPeriod2,BarWidth,BarColorUp,BarColorDown,TextColor,MaxBars,5,1);
      //double Bar4Up=iCustom(NULL,0,"N4 TF HAS Bar",MaMetod,MaPeriod,MaMetod2,MaPeriod2,BarWidth,BarColorUp,BarColorDown,TextColor,MaxBars,6,1);
      //double Bar4Down=iCustom(NULL,0,"N4 TF HAS Bar",MaMetod,MaPeriod,MaMetod2,MaPeriod2,BarWidth,BarColorUp,BarColorDown,TextColor,MaxBars,7,1);
      string message="";
      for (int tf=1; tf<=4; tf++)
      {
         double dir = HasBar(tf,0);
         message=StringConcatenate(message," dir=",dir," ");
      }
      Print (message);
   }    
//----
   return(0);
}

int HasBar(int i, int shift)
{
   int bufferUp = (i-1)*2;
   int bufferDown = bufferUp + 1;
   
   double valueUp=iCustom(NULL,0,"N4 TF HAS Bar",MaMetod,MaPeriod,MaMetod2,MaPeriod2,BarWidth,BarColorUp,BarColorDown,TextColor,MaxBars,bufferUp,shift);
   double valueDown=iCustom(NULL,0,"N4 TF HAS Bar",MaMetod,MaPeriod,MaMetod2,MaPeriod2,BarWidth,BarColorUp,BarColorDown,TextColor,MaxBars,bufferDown,shift);
   if (valueUp < 10)
      return(1);
   else  
      return(-1);   
}